# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'organizationaddress', 'model_label': 'organization address'},
    {'model_name': 'emailtypology', 'model_label': 'email typology'},
    {'model_name': 'phonetypology', 'model_label': 'phone typology'},
    {'model_name': 'organizationtype', 'model_label': 'organization type'},
    {'model_name': 'organizationform', 'model_label': 'organization form'},
    {'model_name': 'organization', 'model_label': 'organization'},
    {'model_name': 'organizationemail', 'model_label': 'organization email'},
    {'model_name': 'organizationphone', 'model_label': 'organization phone'},
    {'model_name': 'organizationsocialpage', 'model_label': 'organization social page'},
    {'model_name': 'ownerorganization', 'model_label': 'owner organization'},
    {'model_name': 'contactrole', 'model_label': 'contact role'},
    {'model_name': 'contacttitle', 'model_label': 'contact title'},
    {'model_name': 'contact', 'model_label': 'contact'},
    {'model_name': 'contactemail', 'model_label': 'contact email'},
    {'model_name': 'contactphone', 'model_label': 'contact phone'},
    {'model_name': 'contactsocialaccount', 'model_label': 'contact social account'},
    {'model_name': 'ownercontact', 'model_label': 'owner contact'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:organization_{model['model_name']}_add",
        "perms": [f"organization.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:organization_{model['model_name']}_changelist",
        "perms": [
            f"organization.view_{model['model_name']}",
            f"organization.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'organization',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'organization'}},
    'perms': ['organization.*'],
    'children': children
}]
